Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 170809 - vixie cron is not pam aware
Summary: vixie cron is not pam aware
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: vixie-cron
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On: 5162
Blocks: 161600
TreeView+ depends on / blocked
 
Reported: 2005-10-14 16:19 UTC by Jason Vas Dias
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHSA-2005:0117
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-05-01 18:00:02 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jason Vas Dias 2005-10-14 16:19:52 UTC
+++ This bug was initially created as a clone of Bug #5162 +++

vixie cron does not use pam and also does not read
/etc/security/limits.conf file. The problem is that if
i normally set limits for all users (number of processes, amount of memory, etc)
with just editing /etc/pam.d/(ssh,login,you name it) file
and setting it to use /etc/security/pam_limits.so, then i cant do this for cron.
And users can execute programs by setting cronjobs or at jobs.
To those programs the limits do not apply and so can user override limits set by
administrator.

-- Additional comment from notting@redhat.com on 1999-09-17 10:44 EST --
*** This bug has been marked as a duplicate of 5160 ***

-- Additional comment from jvdias@redhat.com on 2005-05-10 08:22 EST --
*** Bug 157290 has been marked as a duplicate of this bug. ***

-- Additional comment from dff@redhat.com on 2005-07-20 17:58 EST --
Withholding PM ACK; vixie-cron does not currently have a QA slot allocated to it
for U6:
  http://intranet.corp.redhat.com/ic/intranet/U6Packages.html

Comment 1 Jason Vas Dias 2005-10-14 16:20:52 UTC
This bug is fixed with vixie-cron-4.1-8_EL3, available from:
  http://people.redhat.com/~jvdias/cron/RHEL-3
and should be considered for inclusion in RHEL-3-U7 .

Comment 3 Jason Vas Dias 2006-05-01 18:00:02 UTC
Fixed with vixie-cron-4.1-10.EL3, currently in RHEL-3-U7 with errata
RHSA-2005:0117.


Note You need to log in before you can comment on or make changes to this bug.